#ifndef ETHCONNWIDGET_H
#define ETHCONNWIDGET_H

#include "GlobalDefine.h"
#include <QGraphicsWidget>

class CEthConnWidget : public QGraphicsWidget
{
    Q_OBJECT

public:
    CEthConnWidget(QString Label,QGraphicsItem *Parent = 0);

    QGraphicsTextItem *mLabel;
    QImage mEthONImage,mEthOFFImage;
    QGraphicsPixmapItem *mEthOnPixmap,*mEthOffPixmap;

    void EthON();
    void EthOFF();
    void SetEth(bool ON);

    virtual void resizeEvent(QGraphicsSceneResizeEvent *event);
};

#endif // ETHCONNWIDGET_H
